Package ghidra.pcode.emu.unix

# Class BytesEmuUnixFileSystem

java.lang.Object
ghidra.pcode.emu.unix.AbstractEmuUnixFileSystem<byte[]>
ghidra.pcode.emu.unix.BytesEmuUnixFileSystem

All Implemented Interfaces:
  `EmuUnixFileSystem<byte[]>`

public class BytesEmuUnixFileSystem extends AbstractEmuUnixFileSystem<byte[]>
A concrete in-memory file system simulator suitable for UNIX programs

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `BytesEmuUnixFileSystem.BytesEmuUnixFile`
  A concrete in-memory file suitable for UNIX programs

  ## Nested classes/interfaces inherited from interface ghidra.pcode.emu.unix.EmuUnixFileSystem

  `EmuUnixFileSystem.OpenFlag`

- ## Field Summary

  ### Fields inherited from class ghidra.pcode.emu.unix.AbstractEmuUnixFileSystem

  `filesByPath`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BytesEmuUnixFileSystem()`
  Construct a new concrete simulated file system

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BytesEmuUnixFileSystem.BytesEmuUnixFile`
  `newFile(String pathname, int mode)`
  A factory for constructing a new file (without adding it to the file system)

  ### Methods inherited from class ghidra.pcode.emu.unix.AbstractEmuUnixFileSystem

  `createOrGetFile, getFile, open, putFile, unlink`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BytesEmuUnixFileSystem

    public BytesEmuUnixFileSystem()
    Construct a new concrete simulated file system

- ## Method Details

  - ### newFile

    public BytesEmuUnixFileSystem.BytesEmuUnixFile newFile(String pathname, int mode)
    Description copied from interface: `EmuUnixFileSystem`
    A factory for constructing a new file (without adding it to the file system)
    Specified by:
      `newFile` in interface `EmuUnixFileSystem<byte[]>`
    Specified by:
      `newFile` in class `AbstractEmuUnixFileSystem<byte[]>`
    Parameters:
      `pathname` - the path of the file
      `mode` - the mode of the new file
    Returns:
      the new file